<span>your favorite {{ filterParamsName }} is:</span>
<button (click)="toogleParams(); $event.stopImmediatePropagation()">
  <span *ngIf="!selectedOption; else selectedParamText"> open filters </span>
  <ng-template #selectedParamText>
    {{ selectedOption[optionTitle] }}
  </ng-template>
</button>
<button *ngIf="selectedOption" (click)="selectOption(null)">clear filter</button>

<div *ngIf="optionsVisible" class="options-container" (clickOutside)="optionsVisible = false">
  <ul>
    <li
      *ngFor="let option of filterOptions"
      (click)="selectOption(option)"
      [class.selected]="selectedOption === option"
    >
      {{ option[optionTitle] }}
    </li>
    <sw-paginator
      *ngIf="paramsState.count > 10"
      [prevDisabled]="!paramsState?.previous"
      (prev)="loadPreviousPage()"
      [nextDisabled]="!paramsState?.next"
      (next)="loadNextPage()"
    ></sw-paginator>
  </ul>
</div>
